<div class="dialog--header-title d-flex justify-content-center align-items-center">
  <h1 mat-dialog-title>Spend Limit</h1>
</div>
<div>
  <label class="font-weight-bold">Amount</label>
  <mat-form-field class="w-100" floatLabel="never">
    <input matInput id="wallet-change-amount-input"
           [(ngModel)]="spendLimit.amount" placeholder="Change Amount"
           currencyMask (keyup)="checkAmountValid()"
           [options]="{ prefix: this.wallet.currencyCode + ' ', thousands: ',', decimal: '.', precision: 0, allowNegative: false}">
  </mat-form-field>
  <mat-error *ngIf="amountError">
    Please input amount
  </mat-error>
  <div class="d-flex justify-content-between">
    <div class="ml-2">
      <mat-form-field class="date-picker-input">
        <input matInput [matDatepicker]="pickerStartDate" placeholder="Start Date" [(ngModel)]="spendLimit.startDate"
               (click)="pickerStartDate.open()" (dateInput)="checkStartDatValid()">
        <mat-datepicker-toggle matSuffix [for]="pickerStartDate"></mat-datepicker-toggle>
        <mat-datepicker #pickerStartDate></mat-datepicker>
      </mat-form-field>
      <mat-error *ngIf="startDateError" class="d-block">
        Please input valid start date
      </mat-error>
    </div>
    <div class="mr-2">
      <mat-form-field class="date-picker-input">
        <input matInput [matDatepicker]="pickerEndDate" placeholder="End Date" [(ngModel)]="spendLimit.endDate"
               (click)="pickerEndDate.open()" (dateInput)="checkEndDateValid()">
        <mat-datepicker-toggle matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
        <mat-datepicker #pickerEndDate></mat-datepicker>
      </mat-form-field>
      <mat-error *ngIf="endDateError" class="d-block">
        Please input valid end date
      </mat-error>
    </div>
  </div>
  <button id="create-spend-limit-button" class="mr-2" mat-raised-button (click)="createSpendLimit()">Create Spend Limit</button>
  <mat-divider class="mt-2"></mat-divider>
  <h4 class="mt-3">Spend Limit List</h4>
  <div *ngIf="spendLimits.length === 0" class="text-center">
    <span class="gray-notice">No spend limit.</span>
  </div>
  <mat-list *ngIf="spendLimits.length > 0" class="mb-4 spend-limit-list">
    <mat-list-item class="spendLimitItem cursor-pointer" *ngFor="let spendLimit of spendLimits; let i = index" (click)="openUpdateSpendLimitDialog(spendLimit)">
      <img matListAvatar src="../../../assets/icon/spend-limit.png" alt="...">
      <h3 matLine>
        <b>Spend Limit #{{i+1}}</b>
        <span class="spend-limit-amount currency-text float-right">{{spendLimit.amount | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
      </h3>
      <span matLine class="spend-limit-amount-responsive currency-text">{{spendLimit.amount | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
      <p class="color-gray" matLine>From <b>{{spendLimit.startDate | date: "dd/MM/yy"}}</b> to <b>{{spendLimit.endDate | date: "dd/MM/yy"}}</b></p>
      <mat-progress-bar matLine color="warn" mode="buffer" [value]="getSpendLimitProgress(spendLimit)" [bufferValue]=0></mat-progress-bar>
    </mat-list-item>
  </mat-list>
  <button class="back-button" mat-raised-button (click)="onClose()">Close</button>
</div>
